package com.fjhx.mes.controller.production;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.common.constant.SourceConstant;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionPlanVo;
import com.fjhx.mes.entity.production.dto.ProductionPlanSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionPlanDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.mes.service.production.ProductionPlanService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 生产计划 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
//@DS(SourceConstant.MES)
@RestController
@RequestMapping("/productionPlan")
public class ProductionPlanController {

    @Autowired
    private ProductionPlanService productionPlanService;

    /**
     * 生产计划分页
     */
    @PostMapping("/page")
    public Page<ProductionPlanVo> page(@RequestBody ProductionPlanSelectDto dto) {
        return productionPlanService.getPage(dto);
    }

    /**
     * 生产计划明细
     */
    @PostMapping("/detail")
    public ProductionPlanVo detail(@RequestBody BaseSelectDto dto) {
        return productionPlanService.detail(dto.getId());
    }

    /**
     * 生产计划新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductionPlanDto productionPlanDto) {
        productionPlanService.add(productionPlanDto);
    }

    /**
     * 生产计划编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductionPlanDto productionPlanDto) {
        productionPlanService.edit(productionPlanDto);
    }

    /**
     * 生产计划删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productionPlanService.delete(dto.getId());
    }

}
